> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Manufacture Order

> This endpoint creates a new manufacture order

### Body

<ParamField required="false" body="id" type="string">
  Unique identifier for the manufacture order
</ParamField>

<ParamField required="false" body="memo" type="string">
  Additional notes or information about the manufacture order
</ParamField>

<ParamField required="false" body="number" type="string">
  Number assigned to the manufacture order
</ParamField>

<ParamField required="false" body="priority" type="string">
  Priority level of the manufacture order
</ParamField>

<ParamField required="false" body="site" type="string">
  Site or location associated with the manufacture order
</ParamField>

<ParamField required="false" body="yield_location" type="string">
  Location where the manufactured product will be stored
</ParamField>

<ParamField required="false" body="created_on" type="datetime">
  Date and time when the manufacture order was created
</ParamField>

<ParamField required="false" body="expected_completion_date" type="date">
  Expected date of completion for the manufacture order
</ParamField>

<ParamField required="false" body="issued_on" type="date">
  Date when the manufacture order was issued
</ParamField>

### Response

<ResponseField name="id" type="string">
  Unique identifier for the manufacture order
</ResponseField>

<ResponseField name="memo" type="string">
  Additional notes or information about the manufacture order
</ResponseField>

<ResponseField name="number" type="string">
  Number assigned to the manufacture order
</ResponseField>

<ResponseField name="priority" type="string">
  Priority level of the manufacture order
</ResponseField>

<ResponseField name="site" type="string">
  Site or location associated with the manufacture order
</ResponseField>

<ResponseField name="yield_location" type="string">
  Location where the manufactured product will be stored
</ResponseField>

<ResponseField name="created_on" type="datetime">
  Date and time when the manufacture order was created
</ResponseField>

<ResponseField name="expected_completion_date" type="date">
  Expected date of completion for the manufacture order
</ResponseField>

<ResponseField name="issued_on" type="date">
  Date when the manufacture order was issued
</ResponseField>

<ResponseField name="manufacture_order_line_items" type="object">
  <Expandable title="Show child attributes">
    <ResponseField name="bom_name" type="string">
      Name of the bill of materials (BOM) associated with the line item
    </ResponseField>

    <ResponseField name="bom_number" type="string">
      Number assigned to the bill of materials (BOM)
    </ResponseField>

    <ResponseField name="id" type="string">
      Unique identifier for the line item
    </ResponseField>

    <ResponseField name="expected_date" type="date">
      Expected date for the completion of the line item
    </ResponseField>

    <ResponseField name="line_status" type="string">
      Status of the line item (e.g., in progress, completed, etc.)
    </ResponseField>

    <ResponseField name="line_type" type="string">
      Type or category of the line item
    </ResponseField>

    <ResponseField name="manufacture_order_number" type="string">
      Number of the associated manufacture order
    </ResponseField>

    <ResponseField name="output_type" type="string">
      Type of output produced by the line item (e.g., product, component)
    </ResponseField>

    <ResponseField name="part_name" type="string">
      Name of the part associated with the line item
    </ResponseField>

    <ResponseField name="part_number" type="string">
      Number assigned to the part associated with the line item
    </ResponseField>

    <ResponseField name="priority" type="string">
      Priority level of the line item
    </ResponseField>

    <ResponseField name="quantity" type="integer">
      Quantity of the part to be manufactured or processed
    </ResponseField>

    <ResponseField name="site" type="string">
      Site or location associated with the line item
    </ResponseField>

    <ResponseField name="work_order_number" type="string">
      Number of the associated work order
    </ResponseField>

    <ResponseField name="yield_location" type="string">
      Location of the yield of the manufacture order line item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/manufacture_order' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "current_token": ""
  }'

  ```

  ```js Node.js theme={null}

  const created = await stateset.manufactureorder.create(
    'mo_ODkRWQtx9NVsRX'
  );

  ```

  ```graphQL GraphQL theme={null}

                 mutation addManufactureOrderLineItem($manufacture_order_line_item: manufacture_order_line_items_insert_input!) {
                  insert_manufacture_order_line_items(objects: [$manufacture_order_line_item]) {
                    returning {
                        id
                  }
                }
                }
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
    "user_group": {
      "team_id": 3,
      "token": "<user_group_token_to_auth_dashboard>",
      "name": "Example 1",
      "provided_id": "example_1"
    }
  }
  ```
</ResponseExample>
